{
===============================================================================
  Copyright (©) 2001. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 01-10-2001
  Versión actual: 1.0.1
  Fecha versión actual: 06-03-2004
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
    06-03-2004    Se ha eliminado el tratamiento de perfiles de usuario.    
===============================================================================
}

unit BarraProveedores;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  RDXFRAME, RdxBotones, ExtCtrls, Tipos, RdxPaneles,
  RdxBarras, pngimage, StdCtrls;

type
  TfrBarraProveedores = class(TRdxFrame)
    Panel2: TPanel;
    pnlTitulo: TPanel;
    eTitulo: TLabel;
    imgSombra: TImage;
    pnlBarraLateral: TPanel;
    imgFondo: TImage;
    bProveedores: TRdxBotonLateral;
    bPedidos: TRdxBotonLateral;
    bFacturas: TRdxBotonLateral;
    shSeparador: TShape;
    bAlbaranes: TRdxBotonLateral;
    procedure bPedidosClick(Sender: TObject);
    procedure bProveedoresClick(Sender: TObject);
    procedure bFacturasClick(Sender: TObject);
    procedure bAlbaranesClick(Sender: TObject);
  public
    constructor Create (AOwner: TComponent); override;
  end;

var
  frBarraProveedores: TfrBarraProveedores;

implementation
{$R *.DFM}
uses
  Proveedores, PedidosProveedores, AlbaranesProveedores, FacturasProveedores,
  BaseDatos, Configuracion;

constructor TfrBarraProveedores.Create (AOwner: TComponent);
begin
  inherited Create(AOwner);
  Entidad := entProveedor;
  ConfigurarBarraLateral(Self, Self.Entidad);
  Contenido := TfrProveedores.Create(Self);
end;


procedure TfrBarraProveedores.bPedidosClick(Sender: TObject);
begin
  inherited;
  Contenido := TfrPedidosProveedores.Create(Self);
end;

procedure TfrBarraProveedores.bProveedoresClick(Sender: TObject);
begin
  inherited;
  Contenido := TfrProveedores.Create(Self);
end;

procedure TfrBarraProveedores.bFacturasClick(Sender: TObject);
begin
  inherited;
  Contenido := TfrFacturasProveedores.Create(Self);
end;

procedure TfrBarraProveedores.bAlbaranesClick(Sender: TObject);
begin
  inherited;
  Contenido := TfrAlbaranesProveedores.Create(Self);
end;

end.
